com.trendmicro.ds.appcontrol.rest.object.drift

## Class PropertyFilter

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.PropertyFilter

-     public class PropertyFilter
      extends java.lang.Object

  An optional property filter for queries, allowing "contains" filtering based on the properties of the drift item. Wildcards: _ - any character % - any number of characters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChangeByProcess()` Filter based on name of the process that introduced the drift item.
    `java.lang.String` | `getChangeByUser()` Filter based on username of the user that introduced the drift item.
    `java.lang.String` | `getFileName()` Filter based on file name of the drift item.
    `java.lang.String` | `getHostName()` Filter based on host name of the drift item.
    `java.lang.String` | `getInstallPath()` Filter based on install path of the drift item.
    `java.lang.String` | `getMd5()` Filter based on MD5 hash calculated from the drift item.
    `java.lang.String` | `getSha1()` Filter based on SHA1 hash calculated from the drift item.
    `java.lang.String` | `getSha256()` Filter based on SHA256 hash calculated from the drift item.
    `void` | `setChangeByProcess(java.lang.String changeByProcess)`
    `void` | `setChangeByUser(java.lang.String changeByUser)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setHostName(java.lang.String hostName)`
    `void` | `setInstallPath(java.lang.String installPath)`
    `void` | `setMd5(java.lang.String md5)`
    `void` | `setSha1(java.lang.String sha1)`
    `void` | `setSha256(java.lang.String sha256)`
    `PropertyFilter` | `withChangeByProcess(java.lang.String changeByProcess)`
    `PropertyFilter` | `withChangeByUser(java.lang.String changeByUser)`
    `PropertyFilter` | `withFileName(java.lang.String fileName)`
    `PropertyFilter` | `withHostName(java.lang.String hostName)`
    `PropertyFilter` | `withInstallPath(java.lang.String installPath)`
    `PropertyFilter` | `withMd5(java.lang.String md5)`
    `PropertyFilter` | `withSha1(java.lang.String sha1)`
    `PropertyFilter` | `withSha256(java.lang.String sha256)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyFilter

          public PropertyFilter()

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

      Filter based on file name of the drift item.
      Returns:

    - #### setFileName

          public void setFileName(java.lang.String fileName)

    - #### withFileName

          public PropertyFilter withFileName(java.lang.String fileName)

    - #### getHostName

          public java.lang.String getHostName()

      Filter based on host name of the drift item.
      Returns:

    - #### setHostName

          public void setHostName(java.lang.String hostName)

    - #### withHostName

          public PropertyFilter withHostName(java.lang.String hostName)

    - #### getInstallPath

          public java.lang.String getInstallPath()

      Filter based on install path of the drift item.
      Returns:

    - #### setInstallPath

          public void setInstallPath(java.lang.String installPath)

    - #### withInstallPath

          public PropertyFilter withInstallPath(java.lang.String installPath)

    - #### getChangeByUser

          public java.lang.String getChangeByUser()

      Filter based on username of the user that introduced the drift item.
      Returns:

    - #### setChangeByUser

          public void setChangeByUser(java.lang.String changeByUser)

    - #### withChangeByUser

          public PropertyFilter withChangeByUser(java.lang.String changeByUser)

    - #### getChangeByProcess

          public java.lang.String getChangeByProcess()

      Filter based on name of the process that introduced the drift item.
      Returns:

    - #### setChangeByProcess

          public void setChangeByProcess(java.lang.String changeByProcess)

    - #### withChangeByProcess

          public PropertyFilter withChangeByProcess(java.lang.String changeByProcess)

    - #### getSha1

          public java.lang.String getSha1()

      Filter based on SHA1 hash calculated from the drift item.
      Returns:

    - #### setSha1

          public void setSha1(java.lang.String sha1)

    - #### withSha1

          public PropertyFilter withSha1(java.lang.String sha1)

    - #### getSha256

          public java.lang.String getSha256()

      Filter based on SHA256 hash calculated from the drift item.
      Returns:

    - #### setSha256

          public void setSha256(java.lang.String sha256)

    - #### withSha256

          public PropertyFilter withSha256(java.lang.String sha256)

    - #### getMd5

          public java.lang.String getMd5()

      Filter based on MD5 hash calculated from the drift item.
      Returns:

    - #### setMd5

          public void setMd5(java.lang.String md5)

    - #### withMd5

          public PropertyFilter withMd5(java.lang.String md5)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.